<?php
namespace Ak\Wp\View\Helper;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;
use Laminas\View\Helper\BasePath;
use Laminas\View\Helper\HelperInterface;

/**
 * Injecta WordPressov WP_HOME u helper.
 *
 * @package Ak\Wp\View\Helper
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-core
 */
final class BasePathFactory implements FactoryInterface
{
    /**
     * Kreira instancu.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return HelperInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $helper = new BasePath();
        $helper->setBasePath(get_home_url());

        return $helper;
    }
}
